Bug 829632 - RFE: ss -a should display socket type for each record
RFE: ss -a should display socket type for each record
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 03:01 EDT by Petr Pisar
Modified: 2013-01-17 03:16 EST (History)
4 users (show)

See Also:
Fixed In Version: iproute-2.6.39-7.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 03:16:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-06-07 03:01:36 EDT
Listing all sockets with `ss' command from iproute-2.6.39-6.fc16.x86_64 looks so:

# ss -aln | head
State      Recv-Q Send-Q        Local Address:Port          Peer Address:Port 
LISTEN     0      10                127.0.0.1:25                       *:*     
LISTEN     0      64                        *:44858                    *:*     
LISTEN     0      64                       :::2049                    :::*     
LISTEN     0      64                        *:2049                     *:*     
LISTEN     0      128                       *:52033                    *:*     
LISTEN     0      20                        *:10245                    *:*     
LISTEN     0      128                       *:875                      *:*     
LISTEN     0      128                      :::37932                   :::*     
LISTEN     0      64                       :::46989                   :::*     

I think a column with socket type (TCP, UDP, etc.) would be appropriate. It's not possible to distinguish sockets of the same address family now.
Comment 1 Petr Šabata 2012-12-11 11:50:35 EST
The socket type is displayed if the filter contains more than one type.
Accidentally, '-a/--all' currently behaves just like '-t/--tcp', resulting in only TCP sockets being listen (and thus omitting the type column entirely).

This will get fixed along with bug #829630.  I'd suggest using e.g. '-tu' to list both TCP and UDP sockets (as well as the type column) meanwhile.
Comment 2 Fedora End Of Life 2013-01-16 19:13:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Petr Šabata 2013-01-17 03:16:30 EST
Bug #829630 closed, closing as well.

Note You need to log in before you can comment on or make changes to this bug.